<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools">

    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.ACCESS_WIFI_STATE" />
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />
    <uses-permission
        android:name="android.permission.READ_PRIVILEGED_PHONE_STATE"
        tools:ignore="ProtectedPermissions" />
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.MANAGE_EXTERNAL_STORAGE" />


    <!-- fcm 添加以下权限 -->
    <uses-permission android:name="android.permission.WAKE_LOCK" />
    <uses-permission android:name="com.google.android.c2dm.permission.RECEIVE" />
    <uses-permission android:name="android.permission.RECEIVE_BOOT_COMPLETED" />
    <uses-permission android:name="android.permission.POST_NOTIFICATIONS" />
    <uses-permission android:name="android.permission.USE_FULL_SCREEN_INTENT" />
    <uses-permission android:name="android.permission.FOREGROUND_SERVICE" />

    <uses-permission
        android:name="android.permission.PACKAGE_USAGE_STATS"
        tools:ignore="ProtectedPermissions" />

    <uses-permission android:name="android.permission.REQUEST_DELETE_PACKAGES" />

    <application
        android:name="com.base.superfilemanager.MyApplication"
        android:allowBackup="true"
        android:dataExtractionRules="@xml/data_extraction_rules"
        android:fullBackupContent="@xml/backup_rules"
        android:icon="@mipmap/logo"
        android:label="@string/app_name"
        android:requestLegacyExternalStorage="true"
        android:roundIcon="@mipmap/logo"
        android:supportsRtl="true"
        android:theme="@style/Theme.SuperFileManager"
        android:usesCleartextTraffic="true"
        tools:targetApi="31">
        <activity
            android:name="com.base.superfilemanager.activity.splash.NewSplashActivity"
            android:exported="true"
            android:launchMode="singleTask"
            android:screenOrientation="portrait"
            android:theme="@style/splash.theme"
            tools:ignore="DiscouragedApi,LockedOrientationActivity">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />
                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>

        </activity>
        <activity
            android:name=".activity.FileCategoryActivity"
            android:exported="false"
            android:screenOrientation="portrait"
            tools:ignore="DiscouragedApi,LockedOrientationActivity" />
        <activity
            android:name="com.base.superfilemanager.activity.GuestActivity"
            android:screenOrientation="portrait"
            tools:ignore="DiscouragedApi,LockedOrientationActivity" />
        <activity
            android:name="com.base.superfilemanager.activity.CleanGuestActivity"
            android:screenOrientation="portrait"
            tools:ignore="DiscouragedApi,LockedOrientationActivity" />
        <activity
            android:name="com.base.superfilemanager.activity.PrepareScanActivity"
            android:screenOrientation="portrait"
            tools:ignore="DiscouragedApi,LockedOrientationActivity" />

        <activity
            android:name="com.base.superfilemanager.activity.RecentAppActivity"
            android:exported="true"
            android:launchMode="singleTop"
            android:screenOrientation="portrait" />
        <activity
            android:name="com.base.superfilemanager.activity.PermissionManagerActivity"
            android:exported="false"
            android:launchMode="singleTop"
            android:screenOrientation="portrait" />
        <activity
            android:name="com.base.superfilemanager.activity.AppManagerActivity"
            android:exported="false"
            android:screenOrientation="portrait"
            android:theme="@style/Theme.clean"
            tools:ignore="LockedOrientationActivity" />
        <activity
            android:name="com.base.superfilemanager.activity.BatteryInfoActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name="com.base.superfilemanager.activity.MainActivity"
            android:exported="true">
            <!--            <intent-filter>-->
            <!--                <action android:name="android.intent.action.MAIN" />-->

            <!--                <category android:name="android.intent.category.LAUNCHER" />-->
            <!--            </intent-filter>-->
        </activity>
        <activity
            android:name="com.base.superfilemanager.activity.ScanJunkActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name="com.base.superfilemanager.activity.CleanJunkActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name="com.base.superfilemanager.activity.CleaningActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name="com.base.superfilemanager.activity.PermissionTripActivity"
            android:screenOrientation="portrait"
            android:theme="@style/FullScreenTheme.Null" />
        <activity
            android:name="com.base.superfilemanager.activity.LargeFileCleanActivity"
            android:exported="true"
            android:launchMode="singleTop"
            android:screenOrientation="portrait" />
        <activity
            android:name="com.base.superfilemanager.notificationclean.NotificationGuestActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name="com.base.superfilemanager.notificationclean.NotificationCleanActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name="com.base.superfilemanager.activity.ResultActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name="com.base.superfilemanager.activity.SpeakerCleanerActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name="com.base.superfilemanager.activity.SpeakCleaningActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name="com.base.superfilemanager.activity.RepeaterdPhotoActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name="com.base.superfilemanager.activity.NetWorkActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name="com.base.superfilemanager.activity.speed.BatteryOptimizerActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name="com.base.superfilemanager.activity.speed.SpeedActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name="com.base.superfilemanager.activity.speed.SpeedFinishActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name="com.base.superfilemanager.activity.browser.SecureBrowserActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name="com.base.superfilemanager.activity.PrivacyWebActivity"
            android:screenOrientation="portrait" />

        <meta-data
            android:name="com.google.android.gms.ads.APPLICATION_ID"
            android:value="ca-app-pub-3940256099942544~3347511713" />
        <meta-data
            android:name="com.google.android.gms.ads.flag.OPTIMIZE_INITIALIZATION"
            android:value="true" />
        <meta-data
            android:name="com.google.android.gms.ads.flag.OPTIMIZE_AD_LOADING"
            android:value="true" />
        <meta-data
            android:name="com.google.android.gms.ads.flag.NATIVE_AD_DEBUGGER_ENABLED"
            android:value="false" />


        <!-- 添加以下服务 -->
        <service
            android:name="com.base.superfilemanager.display.fcm.MyFirebaseMessagingService"
            android:exported="true">
            <intent-filter>
                <action android:name="com.google.firebase.MESSAGING_EVENT" />
            </intent-filter>
        </service>

        <!-- 添加以下接收器 -->
        <!-- 注册广播 -->
        <receiver
            android:name="com.base.superfilemanager.display.fcm.MyFirebaseMessagingReceiver"
            android:exported="true"
            android:permission="com.google.android.c2dm.permission.SEND">
            <intent-filter>
                <action android:name="com.google.firebase.MESSAGING_EVENT" />
                <action android:name="com.google.android.c2dm.intent.RECEIVE" />

                <category android:name="com.base.superfilemanager" />
            </intent-filter>
        </receiver>

        <service
            android:name="com.base.superfilemanager.display.NotificationService"
            android:permission="android.permission.FOREGROUND_SERVICE" />
        <service
            android:name="com.base.superfilemanager.display.fcm.NotificationJobService"
            android:permission="android.permission.BIND_JOB_SERVICE" />

        <service
            android:name="com.base.superfilemanager.notificationclean.AppNotificationListenerService"
            android:exported="true"
            android:label="AppNotification service"
            android:permission="android.permission.BIND_NOTIFICATION_LISTENER_SERVICE">
            <intent-filter>
                <action android:name="android.service.notification.NotificationListenerService" />
            </intent-filter>
        </service>
        <service
            android:name="com.base.superfilemanager.service.FlashlightService"
            android:exported="true"
            tools:ignore="ExportedService" />
        <!--照片压缩-->
        <activity
            android:name="com.base.superfilemanager.activity.photocompress.photo.StartCompressionPhotoActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name="com.base.superfilemanager.activity.photocompress.photo.CompressionSuccessActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name="com.base.superfilemanager.activity.photocompress.photo.CompressioningActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name="com.base.superfilemanager.activity.photocompress.photo.CompressionPhotoListActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name="com.base.superfilemanager.activity.photocompress.photo.PreviewCompressionPhotoActivity"
            android:screenOrientation="portrait" />

        <receiver
            android:name="com.base.superfilemanager.display.CloseNotificationReceiver"
            android:exported="true"
            tools:ignore="ExportedReceiver">
            <intent-filter>
                <action android:name="com.file.notification.CloseNotificationReceiver" />
            </intent-filter>
        </receiver>

        <meta-data
            android:name="com.facebook.sdk.ApplicationId"
            android:value="@string/facebook_app_id" />
    </application>

</manifest>